import webapp2
import jinja2
import os
from models import Person

JINJA_ENVIRONMENT = jinja2.Environment(
    loader=jinja2.FileSystemLoader(
			os.path.dirname(__file__)),
		extensions=['jinja2.ext.autoescape'])

class BootTestHandler(webapp2.RequestHandler):
	def get(self):
		headers = ["Welcome!", "Pricing", "About us"]
		template = JINJA_ENVIRONMENT.get_template('boottest.html')
		self.response.write(template.render({'headers': headers}))
		
class MainHandler(webapp2.RequestHandler):
	def get(self):
		my_stuff = ["kittens", "candy", "movies", "books", "docus"]
		people = Person.query().order(Person.first_name).fetch(100)
		template = JINJA_ENVIRONMENT.get_template('index.html')
		self.response.write(template.render({'result': 80*4,
				'things': my_stuff,
				'people': people}))
			
	def post(self):
		n1 = self.request.get('firstName')
		n2 = self.request.get('familyName')
		p = Person(first_name=n1, last_name=n2)
		p.put()
		template = JINJA_ENVIRONMENT.get_template('thanks.html')
		self.response.write(template.render({'first': n1, 'last': n2}))
		#self.response.write("Thanks, %s %s" % (n1, n2))
		
app = webapp2.WSGIApplication([
    ('/', MainHandler),
	('/boot', BootTestHandler)
], debug=True)
